Package org.apache.maven.scm.provider.git

## Class GitScmTestUtils

- java.lang.Object
- - org.apache.maven.scm.provider.git.GitScmTestUtils

    public final class GitScmTestUtils
    extends java.lang.Object

Author:
  Trygve Laugstøl

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `deleteAllDirectories​(java.io.File startDirectory, java.lang.String pattern)`
`static java.lang.String` `getScmUrl​(java.io.File repositoryRootFile, java.lang.String provider)`
`static void` `initRepo​(java.io.File repository, java.io.File workingDirectory, java.io.File assertionDirectory)`
`static void` `initRepo​(java.lang.String source, java.io.File repository, java.io.File workingDirectory)`
`static void` `setDefaultUser​(java.io.File repositoryRootFile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### initRepo

    public static void initRepo​(java.io.File repository,
                                java.io.File workingDirectory,
                                java.io.File assertionDirectory)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### initRepo

    public static void initRepo​(java.lang.String source,
                                java.io.File repository,
                                java.io.File workingDirectory)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### getScmUrl

    public static java.lang.String getScmUrl​(java.io.File repositoryRootFile,
                                             java.lang.String provider)
                                      throws org.codehaus.plexus.util.cli.CommandLineException

Throws:
  `org.codehaus.plexus.util.cli.CommandLineException`

#### deleteAllDirectories

    public static void deleteAllDirectories​(java.io.File startDirectory,
                                            java.lang.String pattern)
                                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### setDefaultUser

    public static void setDefaultUser​(java.io.File repositoryRootFile)